Crypto++

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Typedefs
luc.h File Reference
`#include "pkcspad.h"`
`#include "oaep.h"`
`#include "integer.h"`
`#include "dh.h"`
`#include <limits.h>`

Go to the source code of this file.

## Classes

class | LUCFunction
| The LUC function. More...
class | InvertibleLUCFunction
| _ More...
struct | LUC
struct | LUCES< STANDARD >
| LUC cryptosystem. More...
struct | LUCSS< STANDARD, H >
| LUC signature scheme with appendix. More...
class | DL_GroupPrecomputation_LUC
class | DL_BasePrecomputation_LUC
| _ More...
class | DL_GroupParameters_LUC
| _ More...
class | DL_GroupParameters_LUC_DefaultSafePrime
| _ More...
class | DL_Algorithm_LUC_HMP
| _ More...
struct | DL_SignatureKeys_LUC
| _ More...
struct | LUC_HMP< H >
| LUC-HMP, based on "Digital signature schemes based on Lucas functions" by Patrick Horster, Markus Michels, Holger Petersen. More...
struct | DL_CryptoKeys_LUC
| _ More...
struct | LUC_IES< COFACTOR_OPTION, DHAES_MODE >
| LUC-IES. More...

## Typedefs

typedef LUCES< OAEP< SHA > >::Decryptor | LUCES_OAEP_SHA_Decryptor
typedef LUCES< OAEP< SHA > >::Encryptor | LUCES_OAEP_SHA_Encryptor
typedef LUCSS< PKCS1v15, SHA > ::Signer | LUCSSA_PKCS1v15_SHA_Signer
typedef LUCSS< PKCS1v15, SHA > ::Verifier | LUCSSA_PKCS1v15_SHA_Verifier
typedef DH_Domain < DL_GroupParameters_LUC_DefaultSafePrime > | LUC_DH
| LUC-DH.

## Detailed Description

Definition in file luc.h.